summaryrefslogtreecommitdiff
path: root/source4/lib/ldb/tests/test-generic.sh
diff options
context:
space:
mode:
authorAndrew Tridgell <tridge@samba.org>2005-07-02 06:32:06 +0000
committerGerald (Jerry) Carter <jerry@samba.org>2007-10-10 13:19:05 -0500
commit75883a2237f52863df2eff1fe9d9ee8408b40feb (patch)
tree11f10a6402451d588679767929a79a4720ba0a21 /source4/lib/ldb/tests/test-generic.sh
parent52f481b666f0dade2b6fa8da851bb4a407fe4df9 (diff)
downloadsamba-75883a2237f52863df2eff1fe9d9ee8408b40feb.tar.gz
samba-75883a2237f52863df2eff1fe9d9ee8408b40feb.tar.bz2
samba-75883a2237f52863df2eff1fe9d9ee8408b40feb.zip
r8071: reduce the size of the default ldb tests. We run on some pretty low powered machines
in the farm, and don't want to chew too much cpu needlessly. (This used to be commit c03753faa46d52ae4606546b57962e10c41ea3ad)
Diffstat (limited to 'source4/lib/ldb/tests/test-generic.sh')
-rwxr-xr-xsource4/lib/ldb/tests/test-generic.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/source4/lib/ldb/tests/test-generic.sh b/source4/lib/ldb/tests/test-generic.sh
index d3965fb176..db6377d078 100755
--- a/source4/lib/ldb/tests/test-generic.sh
+++ b/source4/lib/ldb/tests/test-generic.sh
@@ -20,7 +20,7 @@ echo "Showing renamed record"
$VALGRIND ldbsearch '(uid=uham)' || exit 1
echo "Starting ldbtest"
-time $VALGRIND ldbtest --num-records 1000 --num-searches 10 || exit 1
+time $VALGRIND ldbtest --num-records 100 --num-searches 10 || exit 1
echo "Adding index"
$VALGRIND ldbadd $LDBDIR/tests/test-index.ldif || exit 1
@@ -46,7 +46,7 @@ $VALGRIND ldbsearch '(objectclass=)' uid || exit 1
$VALGRIND ldbsearch -b 'cn=Hampster Ursula,ou=Alumni Association,ou=People,o=University of Michigan,c=TEST' -s base "" sn || exit 1
echo "Starting ldbtest indexed"
-time $VALGRIND ldbtest --num-records 1000 --num-searches 5000 || exit 1
+time $VALGRIND ldbtest --num-records 100 --num-searches 500 || exit 1
echo "Testing one level search"
count=`$VALGRIND ldbsearch -b 'ou=Groups,o=University of Michigan,c=TEST' -s one 'objectclass=*' none |grep ^dn | wc -l`